Update flag trigger
Update a flag trigger. Updating a flag trigger uses the semantic patch format.
To make a semantic patch request, you must append domain-model=launchdarkly.semanticpatch to your Content-Type header. To learn more, read Updates using semantic patch.
Instructions
Semantic patch requests support the following kind instructions for updating flag triggers.
Click to expand instructions for updating flag triggers
replaceTriggerActionInstructions
Removes the existing trigger action and replaces it with the new instructions.
Parameters
value: An array of the newkinds of actions to perform when triggering. Supported flag actions areturnFlagOnandturnFlagOff.
Here’s an example that replaces the existing action with new instructions to turn flag targeting off:
cycleTriggerUrl
Generates a new URL for this trigger. You must update any clients using the trigger to use this new URL.
Here’s an example:
disableTrigger
Disables the trigger. This saves the trigger configuration, but the trigger stops running. To re-enable, use enableTrigger.
Here’s an example:
enableTrigger
Enables the trigger. If you previously disabled the trigger, it begins running again.
Here’s an example:
Authorizations
Path Parameters
The project key
The environment key
The feature flag key
The flag trigger ID
Body
Response
Flag trigger response
The ID of this flag trigger
"12ab3c45de678910abc12345"
The flag trigger version
1
Timestamp of when the flag trigger was created
"1654104600000"
The ID of the flag trigger maintainer
"12ab3c45de678910abc12345"
Details on the member who maintains this flag trigger
Whether the flag trigger is currently enabled
true
The trigger state: active, inactive, or failed
active, inactive, failed "active"
Timestamp of when the trigger most recently entered failed state
"1654114600000"
The unique identifier of the integration for your trigger
"generic-trigger"
Details on the action to perform when triggering
"[ { \"kind\": \"turnFlagOn\" }]"
Timestamp of when the trigger was most recently executed
"1654114600000"
Details on recent flag trigger requests.
Number of times the trigger has been executed
3
The unguessable URL for this flag trigger
The location and content type of related resources